{% macro render(props) -%}
    <nav class="navbar">
        <a href="/" class="navbar__left__hyperlink-wrapper">
            <div class="navbar__left">
                <img src="{{ url_for('static', filename='images/logo/white.svg') }}"
                     alt="Tor Logo"
                     class="navbar__left__logo"
                     width="66"
                     height="40" />
                <span class="navbar__left__separator">|</span>
                <span class="navbar__left__brand">Weather</span>
            </div>
        </a>
        <div class="navbar__right">
            {% if props["login"] %}<span><a class="navbar__right__button" href="/">Login</a></span>{% endif %}
            {% if props["register"] %}<span><a class="navbar__right__button" href="/register">Register</a></span>{% endif %}
            {% if props["about"] %}<span><a class="navbar__right__button" href="/about">About</a></span>{% endif %}
            {% if props["logout"] %}<span><a class="navbar__right__button" href="/logout">Logout</a></span>{% endif %}
        </div>
    </nav>
{%- endmacro %}
